﻿@model IEnumerable<Pidev.Presentation.Models.QuestionVM>

@{
    int count = 1, countR = 0;
    var endTime = DateTime.UtcNow.AddSeconds(65);
    var timeRemaining = TimeSpan.FromTicks(endTime.Ticks - DateTime.UtcNow.Ticks).TotalSeconds;

}


<div class="container">

    <!-- User Info -->
    <div class="userConnected" style="border:2px dashed #cecaca; border-radius: 10px; margin-top: 3%;">

        @{ Html.RenderPartial("_UserInfo");}
        <br /><br />
        <div>Time Remaining : <span id="minRemaining"></span>:<span id="secRemaining"></span></div>

    </div>
    <br />
    @{ Html.RenderPartial("OnlineUsers");}
    <div class="Quiz">

        <h4 style="margin-top: 4%;"> <span class="label label-info">Questions :</span> </h4><br />
        @if (Model != null && Model.Any())
        {

            foreach (var question in Model)
            {

                <div class="BlockQ" style="border: 1px solid #bdbdbd; width: 75%; border-radius: 4px; margin-top: 40px; background-color: #f0ffff; padding: 8px;">

                    <div class="Question" style="padding: 2%;">
                        <span class="label label-warning"> @string.Format("{0}{1}.", "Q", count)</span>
                        <span id="@string.Format("{0}{1}", "ID_Q", count)" style="display:none;">@question.QuestionID</span>
                        <p style="display: inline; padding: 2%;" id="@string.Format("{0}{1}", "Q", count)">@question.QuestionText</p>
                    </div>

                    <div class="Choices" style="margin-left: 8%;">



                        <label class="radio-inline">
                            <input type="radio" name="@string.Format("{0}{1}", "inlineRadioOptions",count)" id="@string.Format("{0}{1}", "inlineRadio", countR)" value="@question.choix1" style="margin-left: -16px;"> @question.choix1
                        </label><br />

                        <label class="radio-inline">
                            <input type="radio" name="@string.Format("{0}{1}", "inlineRadioOptions",count)" id="@string.Format("{0}{1}", "inlineRadio", countR)" value="@question.choix2" style="margin-left: -16px;"> @question.choix2
                        </label><br />

                        <label class="radio-inline">
                            <input type="radio" name="@string.Format("{0}{1}", "inlineRadioOptions",count)" id="@string.Format("{0}{1}", "inlineRadio", countR)" value="@question.choix3" style="margin-left: -16px;"> @question.choix3
                        </label><br />

                        <label class="radio-inline">
                            <input type="radio" name="@string.Format("{0}{1}", "inlineRadioOptions",count)" id="@string.Format("{0}{1}", "inlineRadio", countR)" value="@question.choix4" style="margin-left: -16px;"> @question.choix4
                        </label><br />



                    </div> <!--END Choices-->
                    <div id="@string.Format("{0}{1}{2}", "Ans","Q", count)">


                    </div>

                </div> <!-- END BlockQ -->
                count++;

            }
            <span id="countQuections" style="display:none;">@count</span>
            <div class="alert alert-danger" role="alert" id="affichage" style="height:50px;width:75%;Display: none;"> <b> </b></div>

            <button type="button" id="SubmitQuiz" class="btn btn-default" style="margin-top: 10px;"><span class="glyphicon glyphicon-ok"></span>   Submit Quiz </button>
            <section>
                @using (Html.BeginForm("GetResult", "Quizz"))
                {
                    <input type="hidden" name="res" id="res" value="" />
                    <input type="submit" class="btn btn-default" id="okok" value="See result !" style="display:none;margin-top: 10px;" />
                }
            </section>
            <br /><br />




        }

    </div> <!-- END QUIZ -->

</div> <!-- END CONTAINER -->

@section scripts
{

    <script type="text/javascript">


        $(document).ready(function () {

            $('#SubmitQuiz').on('click', function () {

                //count Questions
                var sel = $('#countQuections').text();

                console.log(sel);

                var resultQuiz = [], countQuestion = parseInt(sel), question = {}, j = 1;
                for (var i = 1; i < countQuestion; i++) {
                    question = {
                        QuestionID: $('#ID_Q'+ i).text(),
                        QuestionText: $('#Q' + i).text(),
                        AnswerQ: $('input[name=inlineRadioOptions' + i + ']:checked').val()
                    }

                    resultQuiz.push(question);

                }

                $.ajax({

                    type: 'POST',
                    url: '@Url.Action("QuizTest", "Quizz")',
                    data: { resultQuiz },

                    success: function (response) {
                        var k = 0;
                        if (response.result.length > 0)
                        {

                            for (var i = 0; i < response.result.length; i++)
                            {
                                if(response.result[i].isCorrect == true )
                                {
                                    k++;

                                    $('#AnsQ' + j).html('<br/><div class="alert alert-success" role="alert"><span class="glyphicon glyphicon-thumbs-up" aria-hidden="true"></span> Correct answer</div>');
                                }
                                else
                                {

                                    $('#AnsQ' + j).html('<br/><div class="alert alert-danger" role="alert"> <span class="glyphicon glyphicon-thumbs-down" aria-hidden="true"></span> Incorrect answer - The Good Answer is <b>' + response.result[i].AnswerQ + '</b></div>');
                                }
                                j++;

                            }

                            var y = k * 100 / response.result.length;
                           document.getElementById('affichage').innerHTML = " Votre note est : " + y + " %";
                            document.getElementById('res').value = y;
                        }

                        else
                        {
                            alert("Something Wrong");
                        }
                    },
                    error: function (response) {

                    }
                });

                console.log(resultQuiz);

                $('#SubmitQuiz').hide();
                $('#okok').show();
                $('#affichage').show();
            });
        });

    </script>
    <script>
        var remSeconds = @timeRemaining;
        var secondsCounter = remSeconds % 60;
        function formatNumber(number){
            if (number < 10) return '0' + number;
            else return '' + number;
        }

        function startTick() {
            document.getElementById('secRemaining').innerText = formatNumber(secondsCounter);
                document.getElementById('minRemaining').innerText = formatNumber(parseInt(remSeconds/60));

            var _tick = setInterval(function () {
                if (remSeconds > 0) {
                    remSeconds = remSeconds - 1;
                    secondsCounter = secondsCounter - 1;
                    document.getElementById('secRemaining').innerText = formatNumber(secondsCounter);
                    document.getElementById('minRemaining').innerText = formatNumber(parseInt(remSeconds / 60));

                    if (secondsCounter == 0)
                        secondsCounter = 60;
                }
                else {

                    $('#SubmitQuiz').click();

                }
            }, 1000);

        }
        startTick();

    </script>
}
